Retrieve all tags
curl --request GET \
--url https://mm-api.merchantspring.io/tags \
--header 'x-api-key: <api-key>'import requests
url = "https://mm-api.merchantspring.io/tags"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mm-api.merchantspring.io/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pageIndex": 0,
"pageSize": 25,
"totalCount": 2,
"totalPages": 1,
"items": [
{
"channelId": "A1234567890ABC",
"merchantId": "XXXUS @ ATVPDKIKX0DER",
"tags": [
"amazon",
"org://ebay"
]
},
{
"channelId": "google_demo_001",
"merchantId": "google_demo_001",
"tags": [
"north-america"
]
}
]
}This response has no body data.Tag
Retrieve all tags
Retrieve a paginated list of tags across all of the caller’s channels. Each item is one channel with its tags. Shared tags are prefixed with ‘org://’. Pagination uses pageIndex/pageSize (zero-based); pageSize defaults to 25 and is capped at 100, pageIndex defaults to 0.
GET
/
tags
Retrieve all tags
Authorizations
Query Parameters
Number of channels per page (default 25, max 100)
Zero-based page index (default 0)
Was this page helpful?
⌘I